Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453312 - Missing dependancy for alsa-firmware: alsa-tools-firmware >= 1.0.16
Summary: Missing dependancy for alsa-firmware: alsa-tools-firmware >= 1.0.16
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-firmware
Version: 8
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 15:12 UTC by renke
Modified: 2008-07-15 13:44 UTC (History)
1 user (show)

Fixed In Version: alsa-firmware-1.0.16-1.fc8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 12:40:53 UTC


Attachments (Terms of Use)

Description renke 2008-06-29 15:12:15 UTC
Description of problem:
the updated packacke alsa-firmware.noarch 0:1.0.16-1.fc8 has as new dependency
alsa-tools-firmware which is only provided in version 1.0.15-5.fc8

How reproducible:
update Fedora 8

Additional info:
the dependany for alsa-tools-firmware seems to be new, at least this package
wasn't installed before.

Comment 1 Ron Fox 2008-07-06 21:23:21 UTC
Same problem here and noted on the PlanetCCRMA mailing list also.

Note that alsa-firmware 1.0.15 required alsa-tools rather than alsa-tools-firmware

The spec file for alsa-firmware 1.0.16 contains:
Requires:       alsa-tools-firmware >= %{version}

In either case, alsa-tools-firmware 1.0.16 and alsa-tools 1.0.16 don't exist in
the fedora repositories for fc8 (but both appear in the repos for fc9)

$ rpm -q alsa-firmware
alsa-firmware-1.0.15-1.fc8.ccrma

$ rpm -q --requires alsa-firmware
alsa-tools >= 1.0.15


Comment 2 Fernando Lopez-Lezcano 2008-07-07 07:48:21 UTC
(In reply to comment #0)
> Description of problem:
> the updated packacke alsa-firmware.noarch 0:1.0.16-1.fc8 has as new dependency
> alsa-tools-firmware which is only provided in version 1.0.15-5.fc8
> 
> How reproducible:
> update Fedora 8

I disagree on the severity/priority of the bug, it is not "low". It breaks the
upgrade process for all those that have alsa-firmware installed! (all Planet
CCRMA users, for example). To the maintainer, please remove alsa-firmware 1.0.16
from the fc8 repository or update alsa-tools to 1.0.16 asap, please!


Comment 3 renke 2008-07-11 12:15:46 UTC
with the actual updated packages yum is stuck in an infinite dependeny loop

are there any plans to realize Fernandos suggestion?

Thanks


:1
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package alsa-firmware.noarch 0:1.0.16-1.fc8 set to be updated
--> Processing Dependency: alsa-tools-firmware >= 1.0.16 for package: alsa-firmware
--> Processing Conflict: NetworkManager conflicts NetworkManager-vpnc <
1:0.7.0-0.7.7.svn3549
--> Processing Conflict: NetworkManager conflicts NetworkManager-openvpn <
1:0.7.0-9.svn3549
--> Restarting Dependency Resolution with new changes.
goto 1

Comment 4 Fedora Update System 2008-07-13 11:33:59 UTC
alsa-firmware-1.0.16-1.fc8.1 has been submitted as an update for Fedora 8

Comment 5 Tim Jackson 2008-07-13 11:35:19 UTC
Sorry guys, I built an update for this but forgot to push it.

Comment 6 Ron Fox 2008-07-14 15:32:57 UTC
Still no go.

The problems is that alsa-tools-firmware (and alsa-tools) haven't been updated
from 1.0.15 to 1.0.16 for F8.

alsa-firmware 1.0.16 has been there all along.
alsa-firmware 1.0.16 requires alsa-tools-firmware >= 1.0.16 which doesn't exist.

Thus Fernando's suggestion to either remove alsa-firmware 1.0.16 from the f8
repo (leaving alsa-firmware at 1.0.15) or update alsa-firmware (and
alsa-tools-firmware) to 1.0.16 in the f8 repo.

Comment 7 Tim Jackson 2008-07-14 18:16:35 UTC
(In reply to comment #6)
> Still no go.

Just to be clear, did you actually look at the update? Specifically this bit of it:

Requires: alsa-tools-firmware

(was "Requires: alsa-tools-firmware >= %{version}"

or is there a different problem that I missed?

(N.B. I *had* intentionally kept the version of alsa-tools in F-8 matching
alsa-lib, but it seems that alsa-lib has been updated recently in F-8, so I will
update alsa-tools to match. However, this update should still fix the problem in
the meantime) 

Comment 8 Tim Jackson 2008-07-14 21:56:55 UTC
See bug #455341 for update request to 1.0.16 for F-8

Comment 9 Ron Fox 2008-07-14 23:53:14 UTC
I did not actually look at the update but ran "Apply Updates" in PUP.

As of a few minutes ago, Pup still reports: Missing Dependency:
alsa-tools-firmware >= 1.0.16 is needed by package alsa-firmware



Comment 10 Ron Fox 2008-07-15 12:17:07 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > Still no go.
> 
> Just to be clear, did you actually look at the update? Specifically this bit
of it:
> 
> Requires: alsa-tools-firmware
> 
> (was "Requires: alsa-tools-firmware >= %{version}"
> 
> or is there a different problem that I missed?

I'm trying to find your update.  I assume it would be in updates or
updates-testing and would be named alsa-firmware.noarch with version
1.0.16-2.fc8 but I don't find it.  Is it not in a common repository?

[rfox@kolea ~]$ yum list --enablerepo=updates-testing alsa-firmware
planetcore                100% |=========================| 1.9 kB    00:00     
updates-testing           100% |=========================| 2.3 kB    00:00     
livna                     100% |=========================| 2.1 kB    00:00     
fedora                    100% |=========================| 2.1 kB    00:00     
planetccrma               100% |=========================| 1.9 kB    00:00     
adobe-linux-i386          100% |=========================|  951 B    00:00     
updates                   100% |=========================| 2.3 kB    00:00     
Installed Packages
alsa-firmware.i386                       1.0.15-1.fc8.ccrma     installed       
Available Packages
alsa-firmware.noarch                     1.0.16-1.fc8           updates         
[rfox@kolea ~]$
 
> (N.B. I *had* intentionally kept the version of alsa-tools in F-8 matching
> alsa-lib, but it seems that alsa-lib has been updated recently in F-8, so I will
> update alsa-tools to match. However, this update should still fix the problem in
> the meantime) 

It might well fix the problem if it were available in the common repositories.


Comment 11 Tim Jackson 2008-07-15 12:20:55 UTC
There is a time delay common to all Fedora updates (out of the control of
packagers such as myself) which means they take a while to appear in any
repository (including testing). However the updates are always available for
immediate download from https://admin.fedoraproject.org/updates for people who
want to test them prior to them being published.

It has been pushed to stable now so if your repositories are up to date they
will pull the update in.

Comment 12 Fedora Update System 2008-07-15 12:21:02 UTC
alsa-firmware-1.0.16-1.fc8.1 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Ron Fox 2008-07-15 13:44:25 UTC
(In reply to comment #11)
> There is a time delay common to all Fedora updates (out of the control of
> packagers such as myself) which means they take a while to appear in any
> repository (including testing). However the updates are always available for
> immediate download from https://admin.fedoraproject.org/updates for people who
> want to test them prior to them being published.

OK, I pulled the rpm from the URL you've given and updated alsa-firmware on my
system with:

root@kolea ~]# yum --nogpgcheck localupdate
~rfox/alsa-firmware-updated/alsa-firmware-1.0.16-1.fc8.1.noarch.rpm 
Setting up Local Package Process
Examining
/home/rfox/alsa-firmware-updated/alsa-firmware-1.0.16-1.fc8.1.noarch.rpm:
alsa-firmware - 1.0.16-1.fc8.1.noarch
Marking /home/rfox/alsa-firmware-updated/alsa-firmware-1.0.16-1.fc8.1.noarch.rpm
as an update to alsa-firmware - 1.0.15-1.fc8.ccrma.i386
Resolving Dependencies
--> Running transaction check
---> Package alsa-firmware.noarch 0:1.0.16-1.fc8.1 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 alsa-firmware           noarch     1.0.16-1.fc8.1  
/home/rfox/alsa-firmware-updated/alsa-firmware-1.0.16-1.fc8.1.noarch.rpm  7.4 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 7.4 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : alsa-firmware                ######################### [1/2] 
  Cleanup   : alsa-firmware                ######################### [2/2] 

Updated: alsa-firmware.noarch 0:1.0.16-1.fc8.1
Complete!
--------------------------------------------------------------------------
After rebooting, no ill effects are noted in my ALSA stuff.

Thanks, Tim, for fixing this problem, and for the introduction to Bodhi and Koji!

> It has been pushed to stable now so if your repositories are up to date they
> will pull the update in.




Note You need to log in before you can comment on or make changes to this bug.